# std::is_aggregate

From cppreference.com
< cpp‎ | types

Defined in header `<type_traits>` |  |
template< class T > struct is_aggregate; |  | (since C++17)

Checks if `T` is an aggregate type. The member constant `value` is equal to true if `T` is an aggregate type and false otherwise.

The behavior is undefined if std::remove_all_extents_t<T> is an incomplete type other than (possibly cv-qualified) void.

### Template parameters

T | - | a type to check

### Helper variable template

template< class T > inline constexpr bool is_aggregate_v = std::is_aggregate<T>::value; |  | (since C++17)

## Inherited from std::integral_constant

### Member constants

value [static] | true if `T` is an aggregate type , false otherwise (public static member constant)

### Member functions

operator bool | converts the object to bool, returns `value` (public member function)
operator() (C++14) | returns `value` (public member function)

### Member types

Type | Definition
`value_type` | `bool`
`type` | std::integral_constant<bool, value>

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/types/is_aggregate&oldid=91229"
Category:

- Todo no example